Limerence
Setup

Create First Admin

Create the first admin user (only works when no users exist)

POST
/setup

Create the first admin user (only works when no users exist)

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/setup" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "name": "string",    "password": "stringst"  }'
{  "organization": null,  "user": {    "token": null,    "user": {      "banExpires": null,      "banned": null,      "banReason": null,      "createdAt": "string",      "email": "string",      "emailVerified": true,      "id": "string",      "image": null,      "name": "string",      "role": null,      "updatedAt": "string"    }  }}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}